#include <bits/stdc++.h>

using namespace std;

long long br,a;
long long n,k;

int arr[2000005];
int out[2000005];

int main() {
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin>>n>>k;
    
    br=0;
    a=0;
    
    for(int i=0;i<n;i++)
    {
        cin>>a;
        arr[a+n]++;
    }
    
    a=0;
    
    for(int i=0;i<=2*n;i++)
    {
        if(arr[i]>=k)
        {
            br++;
            out[a]=i-n;
            a++;
        }
    }
    
    cout<<br<<"\n";
    
    for(int i=0;i<br;i++)
        cout<<out[i]<<" ";
    
    
    return 0;
}